public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Matthias Clasen <mclasen@fedoraproject.org>
To: git-commits@fedoraproject.org
Subject: [rpms/glib2] cve-2026-58016-f44: Add a multilib wrapper
Date: Tue, 11 Aug 2026 10:34:21 GMT	[thread overview]
Message-ID: <178644446119.1.3539785194730817119.rpms-glib2-05ecd7bf4695@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : rpms/glib2
Branch : cve-2026-58016-f44
Commit : 05ecd7bf4695d9f8c472d1b47f5ab3fc146e482e
Author : Matthias Clasen <mclasen@fedoraproject.org>
Date   : 2010-04-19T23:59:51+00:00
Stats  : +27/-1 in 2 file(s)
URL    : https://src.fedoraproject.org/rpms/glib2/c/05ecd7bf4695d9f8c472d1b47f5ab3fc146e482e?branch=cve-2026-58016-f44

Log:
Add a multilib wrapper

---
diff --git a/glib2.spec b/glib2.spec
index 0b53168..90c192a 100644
--- a/glib2.spec
+++ b/glib2.spec
@@ -3,12 +3,13 @@
 Summary: A library of handy utility functions
 Name: glib2
 Version: 2.25.1
-Release: 1%{?dist}
+Release: 2%{?dist}
 License: LGPLv2+
 Group: System Environment/Libraries
 URL: http://www.gtk.org
 #VCS: git:git://git.gnome.org/glib
 Source: http://download.gnome.org/sources/glib/2.25/glib-%{version}.tar.bz2
+Source1: update-gio-modules
 Source2: glib2.sh
 Source3: glib2.csh
 BuildRequires: pkgconfig >= 1:0.14
@@ -76,6 +77,9 @@ rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.{a,la}
 
 rm -f $RPM_BUILD_ROOT%{_datadir}/glib-2.0/gdb/*.{pyc,pyo}
 
+# Install multilib wrappers for the binaries
+cp %{SOURCE1} $RPM_BUILD_ROOT{_bindir}/update-gio-modules
+
 case "$host" in
   alpha*|ia64*|powerpc64*|ppc64*|s390x*|sparc64*|x86_64*)
     mv $RPM_BUILD_ROOT%{_bindir}/gio-querymodules $RPM_BUILD_ROOT%{_bindir}/gio-querymodules-64
@@ -85,6 +89,7 @@ case "$host" in
     ;;
 esac
 
+
 %find_lang glib20
 
 %clean
@@ -129,6 +134,7 @@ esac
 %dir %{_libdir}/gio/modules
 %{_libdir}/gio/modules/libgiofam.so
 %{_bindir}/gio-querymodules*
+%{_bindir}/update-gio-modules
 
 %files devel
 %defattr(-, root, root, -)
@@ -160,6 +166,9 @@ esac
 %{_libdir}/lib*.a
 
 %changelog
+* Mon Apr 19 2010 Matthias Clasen <mclasen@redhat.com> - 2.25.1-2
+- Add a multilib wrapper for gio-querymodules
+
 * Mon Apr 19 2010 Matthias Clasen <mclasen@redhat.com> - 2.25.1-1
 - Update to 2.25.1
 

diff --git a/update-gio-modules b/update-gio-modules
new file mode 100755
index 0000000..6468b74
--- /dev/null
+++ b/update-gio-modules
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+if test $# != 1; then
+  echo "usage: update-gio-modules host_triplet" 1>&2
+  exit 1
+fi
+
+umask 022
+
+case "$host" in
+  alpha*|ia64*|powerpc64*|ppc64*|s390x*|sparc64*|x86_64*)
+    /usr/bin/gio-querymodules-64 /usr/lib64/gio/modules
+    ;;
+  *)
+    /usr/bin/gio-querymodules-32 /usr/lib/gio/modules
+    ;;
+esac

                 reply	other threads:[~2026-08-11 10:34 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178644446119.1.3539785194730817119.rpms-glib2-05ecd7bf4695@fedoraproject.org \
    --to=mclasen@fedoraproject.org \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox